Skip to main content
GET
List chats for a business

Autorizações

Authorization
string
header
obrigatório

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Parâmetros de caminho

business_id
string<uuid>
obrigatório

Parâmetros de consulta

kind
enum<string>
padrão:trainer

'real' returns customer conversations created from WhatsApp; 'trainer' returns AI Trainer sandbox chats.

Opções disponíveis:
trainer,
real,
all
page
integer
padrão:1
Intervalo obrigatório: x >= 1
page_size
integer
padrão:30
Intervalo obrigatório: 1 <= x <= 100
messages_per_chat
integer
padrão:1
Intervalo obrigatório: 1 <= x <= 200

Resposta

Paginated chat list.

chats
object[]
pagination
object